curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"inputs": true,
"outputs": true,
"metadata": null
}
]
}
'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": true,
"output": true,
"metadata": null
}
]
}Add multiple test cases to an agent dataset in a single request. Use for batch imports from production traces.
Maximum 100 test cases per request.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"inputs": true,
"outputs": true,
"metadata": null
}
]
}
'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": true,
"output": true,
"metadata": null
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
BulkCreateAgentTestCasesResponse(data: list[server.api_routes.agent_datasets_api_v2.AgentTestCaseResponse])
Show child attributes